org.apache.fop.fo.properties

## Class FontShorthandProperty

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.ListProperty
    - - org.apache.fop.fo.properties.FontShorthandProperty

-     public class FontShorthandProperty
      extends ListProperty

  Property subclass for the font shorthand

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FontShorthandProperty.Maker` Inner class for creating instances of FontShorthandProperty

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.ListProperty

      `list`

    - ### Fields inherited from class org.apache.fop.fo.properties.Property

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontShorthandProperty()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.fop.fo.properties.ListProperty

      `addProperty, equals, getList, getObject, hashCode`

    - ### Methods inherited from class org.apache.fop.fo.properties.Property

      `getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FontShorthandProperty

          public FontShorthandProperty()

Copyright © 2023 Apache Software Foundation. All rights reserved.